Subject: Re: [Bitcoin-development] Tree-chains preliminary summary

From: Peter Todd <[email-masked]>
Date: Tue, 25 Mar 2014 12:47:46 -0400

For the record, tree chains is designed to be a soft-fork upgrade to bitcoin, at least if we can get the economics to work out. Assuming it does, you would do this by defining bitcoin itself to be the top level chain, and carrying what appear to be anyone can spend txouts from block to block so that transaction outputs can be created when funds are redeemed in the top block chain from children lower in the tree. Very similar ideas as the chain to chain stuff via spv proofs that Mark and Adam were talking about here earlier, although I think the order and reorganisation guarantees is a big advantage over their unsynched chain model. Most of the other ideas are identical, and they deserve credit.

I'm on the currency design panel at the Princeton Bitcoin Research Conference this week - tree chains will be discussed informally if not on the panel itself.

Regarding cryptocurrency research related posts, the feedback I've gotten has always been quite positive. You are in the minority as far as I can tell, and anyway the volume of such posts is a small part of the total list volume.

As for the rest of your email, doctor, heal thyself. Gavin's constant namecalling of legit and well accepted scaling concerns as FUD has irritated many people for over a year now,  among many other things. Statements similar to what you claim are said about me are also often said to me about you and Gavin.

But anyway, reply off list please.

On 25 March 2014 11:20:05 GMT-04:00, Mike Hearn <[email-masked]> wrote:
>A few months ago I had a conversation with an executive at a Bitcoin
>company, and I suggested their developers should get involved with the
>development list. I was told that they are all subscribed but refuse to
>post. Puzzled, I asked why, maybe the process isn't clear or we didn't
>talk
>about what they were interested in? No, it's because in that executives
>words "They see how Peter Todd shoots people down in flames and want
>nothing to do with that".
>
>Peter, you were named explicitly as the source of the problem. Your
>immediate knee-jerk reaction to anyone who disagrees with you is making
>this forum aggressive and ugly - it puts other people off from
>contributing. For what it's worth, if I were the moderator of this list
>I
>would have banned you a long time ago because I value a friendly
>atmosphere
>more than your "insights", which are often deeply suspect (as in this
>case).
>
>Besides, ground up redesigns of Bitcoin like what you propose are more
>appropriate for bitcointalk. So please take it there.